# $Revision: 1.29 $, $Date: 2002/10/22 21:49:51 $
Summary:	POSIX.1e capability suite
Summary(pl):	Wsparcie dla standardu "capability" POSIX.1e
Name:		libcap
Version:	1.92
Release:	4
License:	GPL/BSD
Group:		Applications/System
Source0:	ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.2/%{name}-%{version}.tar.gz
Patch0:		%{name}-1.92-make.patch
Patch1:		%{name}-link.patch
Icon:		libcap.gif
URL:		http://linux.kernel.org/pub/linux/libs/security/linux-privs/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir		/sbin

%description
The POSIX.1e capability library for Linux. This package contains the
getcap and setcap binaries and manual pages.

%description -l pl
Biblioteka, programy oraz strony manuala zawierajce implementacj
"capability" standardu POSIX.1e.

%package devel
Summary:	Header files and development documentation for libcap
Summary(pl):	Pliki nagwkowe i dokumentacja do libcap
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for libcap.

%description -l pl devel
Pliki nagwkowe i dokumentacja do libcap.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} "COPTFLAGS=%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	FAKEROOT=$RPM_BUILD_ROOT \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) /lib/lib*.so.*.*
%{_mandir}/man8/*

%files devel
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) /lib/lib*.so
%{_mandir}/man[23]/*
%{_includedir}/sys/capability.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libcap.spec,v $
Revision 1.29  2002/10/22 21:49:51  qboosh
- link patch (link *.so using gcc not ld to avoid binary compatibility problems)
- release 4

Revision 1.28  2002/08/18 15:01:35  blues
- release 3 - license fix

Revision 1.27  2002/06/28 19:20:52  blues
- new doc

Revision 1.26  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/07 02:32:04  kloczek
- typo.

Revision 1.24  2002/02/07 02:20:30  kloczek
- release 2: spec adapterized and added using more macros.

Revision 1.23  2002/02/02 20:20:34  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.22  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/05/02 16:29:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.20  2000/06/09 07:23:20  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.18  2000/05/19 08:17:20  mis
- typos

Revision 1.17  2000/04/25 13:13:34  baggins
- library 1.92 for kernel 2.3

Revision 1.16  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.14  2000/02/09 05:28:12  kloczek
- release 2,
- man pages level 2 moved to devel subpackage.

Revision 1.13  1999/11/19 09:44:20  kloczek
- updated to 1.10.

Revision 1.12  1999/07/12 23:06:05  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 29 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.03-1]
- now package is FHS 2.0 compliant,
- recompiled on new rpm.
- more rpm macros.

* Sat Apr 24 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.02-1]
- removed "Conflicts: glibc <= 2.0.7" (not neccessary now),
- recompiles on new rpm.

* Mon Mar 15 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0-1]
- strip shared libraries with --strip-unneeded.

* Sun Mar 14 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- updated to 1.0,
- fixed duplicate libs in devel subpackage,
- added Group(pl) in main package,
- compressed documentation.

* Thu Mar 11 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.122-2]
- added URL,
- added devel subpackage,
- added stripping shared libraries,
- added "Conflicts: glibc <= 2.0.7" for installing libcap in proper
  enviroment,
- removed man group from man pages.

* Tue Sep 22 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.122-1d]
- updated to 0.122, 
- added %changelog,
- translation modified for pl
  (prepared by Krzysztof Baranowski <kgb@knm.org.pl>),
- build against GNU libc-2.1.
